Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1355871 - Review Request: python-clint - A set of awesome tools for developing commandline applications
Summary: Review Request: python-clint - A set of awesome tools for developing commandl...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-12 19:12 UTC by Jeremy Cline
Modified: 2016-07-23 04:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-22 18:23:13 UTC
ignatenko: fedora-review+


Attachments (Terms of Use)

Description Jeremy Cline 2016-07-12 19:12:15 UTC
Spec URL: https://jcline.fedorapeople.org/python-clint.spec
SRPM URL: https://jcline.fedorapeople.org/python-clint-0.5.1-1.fc25.src.rpm
Description:
Clint is a module filled with a set of awesome tools for developing commandline
applications. It supports colors, but detects if the session is a TTY, so
doesn't render the colors if you're piping stuff around. Automagically.

FAS Username: jcline
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14875347

Comment 1 Igor Gnatenko 2016-07-12 20:33:20 UTC
> rm docs/_build/html/objects.inv
I would not do this, because it's needed for linking from another projects, but remove ".doctrees" directory

> %doc README.rst HISTORY.rst AUTHORS
I would not put this stuff into -doc subpkg as it is already in py2, py3 pkgs

> no tests
https://github.com/kennethreitz/clint/blob/master/test_clint.py
actually there is (sort of)

Comment 2 Igor Gnatenko 2016-07-12 20:33:50 UTC
missing BuildRequires: pythonX-setuptools

Comment 3 Igor Gnatenko 2016-07-12 20:37:46 UTC
instead of second patch I would recommend to do:
rm -vrf %{srcname}/packages/
in %prep

and instead of 1st patch I would run sed with some special arguments, so you will never miss any import.

Comment 4 Igor Gnatenko 2016-07-12 20:47:39 UTC
Nothing else to complain about. Fix issues mentioned above and we can set review+.

Comment 5 Jeremy Cline 2016-07-13 13:45:12 UTC
Spec URL: https://jcline.fedorapeople.org/python-clint.spec
SRPM URL: https://jcline.fedorapeople.org/python-clint-0.5.1-1.fc25.src.rpm

(In reply to Igor Gnatenko from comment #1)
> > rm docs/_build/html/objects.inv
> I would not do this, because it's needed for linking from another projects,
> but remove ".doctrees" directory

I've stopped removing the intersphinx inventory, but I'm not sure where you're seeing seeing the .doctrees directory packaged. Can you clarify?

> 
> > %doc README.rst HISTORY.rst AUTHORS
> I would not put this stuff into -doc subpkg as it is already in py2, py3 pkgs

My opinion is this is fine. In fact, I would argue that at the AUTHORS file at least _should_ be in the package.

> 
> > no tests
> https://github.com/kennethreitz/clint/blob/master/test_clint.py
> actually there is (sort of)

There are no tests in the latest tagged release. I've updated the comment to make that clearer.


(In reply to Igor Gnatenko from comment #2)
> missing BuildRequires: pythonX-setuptools

I've added explicit BuildRequires for both.


(In reply to Igor Gnatenko from comment #3)
> instead of second patch I would recommend to do:
> rm -vrf %{srcname}/packages/
> in %prep
> 
> and instead of 1st patch I would run sed with some special arguments, so you
> will never miss any import.

My preference is to stick with the patches. This is a very small library and does not look very active (at all) upstream. I find the patches much clearer from a maintainer's point of view.

Comment 6 Gwyn Ciesla 2016-07-13 16:35:45 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-clint

Comment 7 Fedora Update System 2016-07-13 17:16:49 UTC
python-clint-0.5.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a36eacb16e

Comment 8 Fedora Update System 2016-07-13 17:57:09 UTC
python-clint-0.5.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-23fd8ef3eb

Comment 9 Fedora Update System 2016-07-13 19:02:43 UTC
python-clint-0.5.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f44a7ad796

Comment 10 Fedora Update System 2016-07-14 15:53:05 UTC
python-clint-0.5.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-23fd8ef3eb

Comment 11 Fedora Update System 2016-07-14 22:28:22 UTC
python-clint-0.5.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a36eacb16e

Comment 12 Fedora Update System 2016-07-15 07:47:04 UTC
python-clint-0.5.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f44a7ad796

Comment 13 Fedora Update System 2016-07-22 18:23:11 UTC
python-clint-0.5.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-07-23 00:19:04 UTC
python-clint-0.5.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-07-23 04:17:07 UTC
python-clint-0.5.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.